Subject: bug#9459: closed (Re: bug#9459: 24.0.50; Condigure aborts, complains about missing install.sh in build-aux.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Sep 2011 18:05:03 +0000

Your bug report

#9459: 24.0.50; Condigure aborts, complains about missing install.sh in build-aux.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
9459: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=9459
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#9459: 24.0.50; Condigure aborts, complains about missing install.sh in build-aux.
From: Paul Eggert <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Jan Djärv <[email-masked]>, [email-masked]
Date: Wed, 07 Sep 2011 11:00:13 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On 09/07/11 09:44, Eli Zaretskii wrote:

> Run ./autogen.sh by hand, and everything will be fixed again.

Yes, that's right.

> I don't know if GNUMakefile is supposed to DTRT with the kind of
> changes installed in one of the recent commits (files used during
> configure moved to other subdirectories).  Paul?

In general, GNUmakefile can't recover from arbitrary mishaps
when one has an old tree, does a "bzr update", and then tries to
mimic autogen.sh's actions by hand but makes a mistake in the
process (which is what happened here).

Instead of trying to change GNUmakefile it's probably better to
just drop a line to emacs-devel; I'll do that next.

Subject: 24.0.50; Condigure aborts, complains about missing install.sh in build-aux.
From: Jan Djärv <[email-masked]>
To: [email-masked]
Date: Wed, 07 Sep 2011 18:18:10 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi.

Updated today.

% make
cd /home/jhd/src/emacs/current && aclocal -I m4
cd /home/jhd/src/emacs/current && autoconf
if [ -x ./config.status ]; then	\
	    ./config.status --recheck;	\
	else				\
	    ./configure;		\
	fi
running CONFIG_SHELL=/bin/bash /bin/bash ../current/configure --verbose 
--enable-asserts --prefix=/opt/emacs-cvs CFLAGS=-g --no-create --no-recursion
configure: error: cannot find install-sh, install.sh, or shtool in build-aux 
"../current"/build-aux

and also:

% ../current/configure
configure: error: cannot find install-sh, install.sh, or shtool in build-aux 
"../current"/build-aux

	Jan D.